import { SvelteComponentTyped } from "svelte";

declare module 'svelte-grid-responsive/stores.js';

declare module 'svelte-grid-responsive' {
	interface GridProps {
		container: boolean;
		columns: number;
		gutter: number | null;
		order: number | null;
		xs: number | null;
		sm: number | null;
		md: number | null;
		lg: number | null;
		xl: number | null;
		xsOffset: number | null;
		smOffset: number | null;
		mdOffset: number | null;
		lgOffset: number | null;
		xlOffset: number | null;
	}

	class Grid extends SvelteComponentTyped<
		GridProps,
		{  },
		{  }
	> {}

	export default Grid;
}

